Wallet

Update a wallet webhook

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
PUT/api/wallet/non-custodial/webhooks/{webhookId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.updateWalletWebhook(
  "wh_9irt7A15faplJF",
  {
    url: "https://sleepy-moment.net",
    events: "interface override",
    secret: "Str0ng_Sample_Pass!w0rd",
    filters: "monitor reboot"
  }
);
const { data: result } = await wallet.updateWalletWebhook(
  "wh_9irt7A15faplJF",
  {
    url: "https://sleepy-moment.net",
    events: "interface override",
    secret: "Str0ng_Sample_Pass!w0rd",
    filters: "monitor reboot"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
webhookIdstringYes

Request Body

json
{
  "url": "https://scented-pleasure.biz/",
  "events": [
    "array program"
  ],
  "secret": "Str0ng_Sample_Pass!w0rd",
  "filters": {}
}
{
  "url": "https://scented-pleasure.biz/",
  "events": [
    "array program"
  ],
  "secret": "Str0ng_Sample_Pass!w0rd",
  "filters": {}
}

Responses

200Webhook updated successfully
json
{
  "success": true,
  "data": {
    "_id": "65a1b2c3d4e5f6789012345c",
    "url": "https://your-app.com/webhooks/wallet",
    "events": [
      "wallet.balance.updated",
      "wallet.transaction.confirmed"
    ],
    "isActive": true
  }
}
{
  "success": true,
  "data": {
    "_id": "65a1b2c3d4e5f6789012345c",
    "url": "https://your-app.com/webhooks/wallet",
    "events": [
      "wallet.balance.updated",
      "wallet.transaction.confirmed"
    ],
    "isActive": true
  }
}
400
401
404
429

Errors

CodeMeaning
400
401
404
429
Edit this page on GitHub